{
  lib,
  buildPythonPackage,
  fetchPypi,
  setuptools,
  python311,
}:
buildPythonPackage rec {
  pname = "azureml_mlflow";
  version = "1.57.0.post1";
  format = "wheel";

  src = fetchPypi {
    inherit pname version format;
    sha256 = "sha256-uK7vQR9aQjXUQ9RXGXY5o7pPMg5ZmMfqbDt0GTfwx6k=";
    dist = "py3";
    python = "py3";
  };

  nativeBuildInputs = [setuptools];

  propagatedBuildInputs = [
  ];

  doCheck = false; # Package does not contain tests

  meta = with lib; {
    description = "The azureml-mlflow package contains the integration code of AzureML with MLflow. MLflow (https://mlflow.org/) is an open-source platform for tracking machine learning experiments and managing models. You can use MLflow logging APIs with Azure Machine Learning so that metrics and artifacts are logged to your Azure machine learning workspace.";
    homepage = "https://docs.microsoft.com/python/api/overview/azure/ml/?view=azure-ml-py";
    license = licenses.mit;
    maintainers = with maintainers; [Lillian-Violet];
  };
}
