{
  lib,
  buildPythonPackage,
  fetchPypi,
  setuptools,
  wheel,
  scipy,
  matplotlib,
  python311,
}:
buildPythonPackage rec {
  pname = "opencensus_ext_logging";
  version = "0.1.1";
  format = "wheel";

  src = fetchPypi {
    inherit pname version format;
    sha256 = "sha256-z9r12l2LGV/z0a+HpAZqZiGigEYXP2vksLbK7Eo8qJ8=";
    dist = "py2.py3";
    python = "py2.py3";
  };

  nativeBuildInputs = [setuptools wheel];

  propagatedBuildInputs = [
  ];

  doCheck = false; # Package does not contain tests

  meta = with lib; {
    description = "A stats collection and distributed tracing framework ";
    homepage = "https://github.com/census-instrumentation/opencensus-python";
    license = licenses.mit;
    maintainers = with maintainers; [Lillian-Violet];
  };
}
